Skip to main content
GET
/
v1
/
voiceai
/
conversations
/
export
Export Conversations as CSV
curl --request GET \
  --url https://api.example.com/v1/voiceai/conversations/export \
  --header 'x-api-key: <api-key>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key for programmatic access

Query Parameters

agent_id
string | null

Filter by agent ID.

call_successful
enum<string> | null

Filter by success result (success/failure/unknown). Result of conversation success evaluation

Available options:
success,
failure,
unknown
call_start_before_unix
integer | null

Unix timestamp to filter conversations before this date.

call_start_after_unix
integer | null

Unix timestamp to filter conversations after this date.

call_duration_min_secs
integer | null

Minimum call duration in seconds.

call_duration_max_secs
integer | null

Maximum call duration in seconds.

rating_min
integer | null

Minimum rating (1-5).

Required range: 1 <= x <= 5
rating_max
integer | null

Maximum rating (1-5).

Required range: 1 <= x <= 5
direction
enum<string> | null

Filter by call direction (inbound/outbound/web). Direction of a conversation.

  • inbound: Phone call received (SIP/Twilio)
  • outbound: Phone call initiated by agent
  • web: Web widget / dashboard talk-to initiated conversation
Available options:
inbound,
outbound,
web
limit
integer
default:1000

Maximum number of rows to export (max 5000).

Required range: 1 <= x <= 5000

Response

Successful Response